' ------------------------------------------------------------------------------------
' irr::core::dimension2df wrappers (done)
' ------------------------------------------------------------------------------------
Public

Extern

	Function IrrCore_Dimension2df_new:Int(x:Float=0,y:Float=0)
	Function IrrCore_Dimension2df_newFromSize:Int(pSize:Int)
	Function IrrCore_Dimension2df_del(pDel:Int)
	Function IrrCore_Dimension2df_getWidth:Float(pSize:Int)
	Function IrrCore_Dimension2df_getHeight:Float(pSize:Int)
	Function IrrCore_Dimension2df_setWidth(pSize:Int,width:Float)
	Function IrrCore_Dimension2df_setHeight(pSize:Int,height:Float)
	Function IrrCore_Dimension2df_EqEq:Int(pSize:Int,pOther:Int)
	Function IrrCore_Dimension2df_NotEq:Int(pSize:Int,pOther:Int)
	Function IrrCore_Dimension2df_Eq(pSize:Int,pOther:Int)
	'// NOTE: must delete
	Function IrrCore_Dimension2df_Div:Int(pSize:Int,scale:Float) ' returns dimension2df*
	'// NOTE: must delete
	Function IrrCore_Dimension2df_Mult:Int(pSize:Int,scale:Float) ' returns dimension2df*
	Function IrrCore_Dimension2df_DivEq:Int(dimension2df:Int, scale:Float) ' returns dimension2df*
	Function IrrCore_Dimension2df_MultEq:Int(dimension2df:Int, scale:Float) ' returns dimension2df*
	
	' do not delete
	Function IrrCore_Dimension2df_set:Int(dimension2df:Int,width:Float,height:Float) ' returns dimension2df*
	Function IrrCore_Dimension2df_getArea:Float(dimension2df:Int) 
	Function IrrCore_Dimension2df_getOptimalSize:Int(dimension2df:Int, bRequirePowerOfTwo:Int = True, bRequireSquare:Int = False, bLarger:Int = True) ' returns dimension2df*
	Function IrrCore_Dimension2df_getInterpolated:Int(dimension2df:Int, dimension2df_other:Int, d:Float) ' returns dimension2df*
	' delete
	Function IrrCore_Dimension2df_Plus:Int(dimension2df:Int, dimension2df_other:Int) ' returns dimension2df*
	' do not delete
	Function IrrCore_Dimension2df_PlusEq:Int(dimension2df:Int, dimension2df_other:Int) ' returns dimension2df*
	' do not delete
	Function IrrCore_Dimension2df_MinusEq:Int(dimension2df:Int, dimension2df_other:Int) ' returns dimension2df*

EndExtern

