' ------------------------------------------------------------------------------------
'  irr::gui::IGUIContextMenu wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------
Type IGUIContextMenu Extends IGUIElement Final

	Function createFromHandle:IGUIContextMenu(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIContextMenu=New IGUIContextMenu
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method addItem:Int(text:String,commandId:Int=-1,bEnabled:Int=True,bHasSubMenu:Int=False,bChecked:Int=False)
		Return IrrGUI_IGUIContextMenu_addItem(handle,text,commandId,bEnabled,bHasSubMenu,bChecked)
	EndMethod

	Method addSeparator()
		IrrGUI_IGUIContextMenu_addSeparator(handle)
	EndMethod
	
	Method getItemCommandId:Int(idx:Int)
		Return IrrGUI_IGUIContextMenu_getItemCommandId(handle,idx)
	EndMethod
	
	Method getItemCount:Int()
		IrrGUI_IGUIContextMenu_getItemCount(handle)
	EndMethod
	
	Method getItemText:String(idx:Int)
		Return IrrGUI_IGUIContextMenu_getItemText(handle,idx)
	EndMethod
	
	Method getSelectedItem:Int()
		Return IrrGUI_IGUIContextMenu_getSelectedItem(handle)
	EndMethod
	
	Method getSubMenu:IGUIContextMenu(idx:Int)
		Return IGUIContextMenu.createFromHandle(IrrGUI_IGUIContextMenu_getSubMenu(handle,idx))
	EndMethod
	
	Method isItemEnabled:Int(idx:Int)
		Return IrrGUI_IGUIContextMenu_isItemEnabled(handle,idx)
	EndMethod
	
	Method removeAllItems()
		IrrGUI_IGUIContextMenu_removeAllItems(handle)
	EndMethod
	
	Method removeItem(idx:Int)
		IrrGUI_IGUIContextMenu_removeItem(handle,idx)
	EndMethod
	
	Method setItemCommandId(idx:Int,id:Int)
		IrrGUI_IGUIContextMenu_setItemCommandId(handle,idx,id)
	EndMethod
	
	Method setItemEnabled(idx:Int,bEnabled:Int)
		IrrGUI_IGUIContextMenu_setItemEnabled(handle,idx,bEnabled)
	EndMethod
	
	Method setItemChecked(idx:Int,bEnabled:Int)
		IrrGUI_IGUIContextMenu_setItemChecked(handle,idx,bEnabled)
	EndMethod

	Method isItemChecked:Int(idx:Int)
		Return IrrGUI_IGUIContextMenu_isItemChecked(handle,idx)
	EndMethod

	
	Method setItemText(idx:Int,text:String)
		IrrGUI_IGUIContextMenu_setItemText(handle,idx,text)
	EndMethod

EndType

