Public

' ------------------------------------------------------------------------------------
'  irr::gui::IGUIWindow wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------
Type IGUIWindow Extends IGUIElement Final

	Function createFromHandle:IGUIWindow(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIWindow=New IGUIWindow
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction	
	
	Method getCloseButton:IGUIButton()
		'  do Not Delete this pointer
		Return IGUIButton.createFromHandle(IrrGUI_IGUIWindow_getCloseButton(handle))
	EndMethod

	Method getMinimizeButton:IGUIButton()
		'  do Not Delete this pointer
		Return IGUIButton.createFromHandle(IrrGUI_IGUIWindow_getMinimizeButton(handle))
	EndMethod

	Method getMaximizeButton:IGUIButton()
		'  do Not Delete this pointer
		Return IGUIButton.createFromHandle(IrrGUI_IGUIWindow_getMaximizeButton(handle))
	EndMethod

	Method isDraggable:Int()
		Return IrrGUI_IGUIWindow_isDraggable(handle)
	EndMethod
	
	Method setDraggable(bDraggable:Int)
		IrrGUI_IGUIWindow_setDraggable(handle, bDraggable)
	EndMethod
	
	Method getDrawBackground:Int()
		Return IrrGUI_IGUIWindow_getDrawBackground(handle) 
	EndMethod
	
	Method setDrawBackground(bDraw:Int)
		IrrGUI_IGUIWindow_setDrawBackground(handle, bDraw)
	EndMethod
	
	Method getDrawTitlebar:Int()
		Return IrrGUI_IGUIWindow_getDrawTitlebar(handle)
	EndMethod
	
	Method setDrawTitlebar(bDraw:Int)
		IrrGUI_IGUIWindow_setDrawTitlebar(handle, bDraw) 
	EndMethod
	
EndType
