Public

'  An enum for the different device types supported by the Irrlicht Engine.
'enum E_DEVICE_TYPE

'  A device native to Microsoft Windows
Const EIDT_WIN32:Int = 0

'  A device native to Windows CE devices
Const EIDT_WINCE:Int = 1

'  A device native to Unix style operating systems.
Const EIDT_X11:Int = 2

'  A device native to Mac OSX
Const EIDT_OSX:Int = 3

'  A device which uses Simple DirectMedia Layer
Const EIDT_SDL:Int = 4

'  A simple text only device supported by all platforms.
Const EIDT_CONSOLE:Int = 5

'  This selection allows Irrlicht to choose the best device from the ones available.
Const EIDT_BEST:Int = 6
