' ------------------------------------------------------------------------------------
'  irr::scene::IBillboardSceneNode wrappers (parent is ISceneNode)
' ------------------------------------------------------------------------------------
Public

Type IBillboardSceneNode Extends ISceneNodeDefault

	Function createFromHandle:IBillboardSceneNode(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IBillboardSceneNode=New IBillboardSceneNode
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
		
	Method getSize:Dimension2df()
		Return Dimension2df.createFromHandle(IrrScene_IBillboardSceneNode_getSize(handle))
	EndMethod
	
	Method setSize(size:Dimension2df)
		IrrScene_IBillboardSceneNode_setSize(handle,size.handle)
	EndMethod

	Method setColor(overallColor:SColor)
		IrrScene_IBillboardSceneNode_setColor(handle,overallColor.handle)
	EndMethod
	
	Method setColorTopBottom(topColor:SColor,bottomColor:SColor)
		IrrScene_IBillboardSceneNode_setColorTopBottom(handle,topColor.handle,bottomColor.handle)
	EndMethod
	
	Method getColor(topColor:SColor,bottomColor:SColor)
		IrrScene_IBillboardSceneNode_getColor(handle,topColor.handle,bottomColor.handle)
	EndMethod

EndType

