' ------------------------------------------------------------------------------------
' irr::scene::IParticleGravityAffector wrappers
' ------------------------------------------------------------------------------------
Public

Type IParticleGravityAffector Extends IParticleAffectorDefault

	Function createFromHandle:IParticleGravityAffector(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleGravityAffector=New IParticleGravityAffector
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setTimeForceLost(timeForceLost:Float)
		IrrScene_IParticleGravityAffector_setTimeForceLost( handle, timeForceLost )
	EndMethod
	
	Method setGravity(gravity:Vector3df)
		IrrScene_IParticleGravityAffector_setGravity( handle, gravity.handle )
	EndMethod
	
	Method getTimeForceLost:Float()
		Return IrrScene_IParticleGravityAffector_getTimeForceLost(handle)
	EndMethod
	
	Method getGravity:Vector3df()
		Return Vector3df.createFromHandle(IrrScene_IParticleGravityAffector_getGravity(handle), True)
	EndMethod

EndType
