' ------------------------------------------------------------------------------------
' irr::scene::IParticleMeshEmitter wrapper
' ------------------------------------------------------------------------------------
Public

Type IParticleMeshEmitter Extends IParticleEmitter

	Function createFromHandle:IParticleMeshEmitter(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleMeshEmitter=New IParticleMeshEmitter
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setMesh(mesh:IMesh)
		IrrScene_IParticleMeshEmitter_setMesh(handle, mesh.handle)
	EndMethod
	
	Method setUseNormalDirection(bUseNormalDirection:Int = True)
		IrrScene_IParticleMeshEmitter_setUseNormalDirection(handle, bUseNormalDirection )
	EndMethod
	
	Method setNormalDirectionModifier(normalDirectionModifier:Float)
		IrrScene_IParticleMeshEmitter_setNormalDirectionModifier(handle, normalDirectionModifier)
	EndMethod
	
	Method setEveryMeshVertex(bEveryMeshVertex:Int = True)
		IrrScene_IParticleMeshEmitter_setEveryMeshVertex(handle, bEveryMeshVertex)
	EndMethod
	
	' do not delete
	Method getMesh:IMesh()
		Return IMesh.createFromHandle(IrrScene_IParticleMeshEmitter_getMesh(handle), False)
	EndMethod
	
	Method isUsingNormalDirection:Int()
		Return IrrScene_IParticleMeshEmitter_isUsingNormalDirection(handle)
	EndMethod
	
	Method getNormalDirectionModifier:Float()
		Return IrrScene_IParticleMeshEmitter_getNormalDirectionModifier(handle)	
	EndMethod
	
	Method getEveryMeshVertex:Int()
		Return IrrScene_IParticleMeshEmitter_getEveryMeshVertex(handle)
	EndMethod
	
EndType
