' ------------------------------------------------------------------------------------
' irr::scene::IParticleRingEmitter wrapper
' ------------------------------------------------------------------------------------
Public

Type IParticleRingEmitter Extends IParticleEmitter

	Function createFromHandle:IParticleRingEmitter(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleRingEmitter=New IParticleRingEmitter
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setCenter(center:Vector3df)
		IrrScene_IParticleRingEmitter_setCenter(  handle, center.handle )
	EndMethod
	
	Method setRadius(radius:Float)
		IrrScene_IParticleRingEmitter_setRadius(  handle, radius )
	EndMethod 
	
	Method setRingThickness(ringThickness:Float)
		IrrScene_IParticleRingEmitter_setRingThickness(  handle, ringThickness )
	EndMethod
	
	Method getCenter:Vector3df()
		Return Vector3df.createFromHandle(IrrScene_IParticleRingEmitter_getCenter( handle), True)
	EndMethod
	
	Method getRadius:Float()
		Return IrrScene_IParticleRingEmitter_getRadius( handle)
	EndMethod
	
	Method getRingThickness:Float()
		Return IrrScene_IParticleRingEmitter_getRingThickness( handle)
	EndMethod

EndType
