' TODO: need to make bound version

Type ISceneNodeFactory Extends IReferenceCounted

	Method addSceneNodeFromType:ISceneNode(ESCENE_NODE_TYPE:Int,parent:ISceneNode=Null)
		If Not parent or Not parent.IsValid() Then parent=New ISceneNodeDefault ' default handle to 0
		Return ISceneNode.createFromHandle(IrrScene_ISceneNodeFactory_addSceneNodeFromType(handle,ESCENE_NODE_TYPE,parent.handle),True)
	EndMethod
	
	Method addSceneNodeFromName:ISceneNode(typeName:String,parent:ISceneNode=Null)
		If Not parent or Not parent.IsValid() Then parent=New ISceneNodeDefault ' default handle to 0
		Return ISceneNode.createFromHandle(IrrScene_ISceneNodeFactory_addSceneNodeFromName(handle,typeName,parent.handle),True)
	EndMethod
	
	Method getCreatableSceneNodeTypeCount:Int()
		Return IrrScene_ISceneNodeFactory_getCreatableSceneNodeTypeCount(handle)
	EndMethod
	
	Method getCreateableSceneNodeType:Int(idx:Int) ' returns ESCENE_NODE_TYPE
		Return IrrScene_ISceneNodeFactory_getCreateableSceneNodeType(handle,idx)
	EndMethod
	
	Method getCreateableSceneNodeTypeNameFromIndex:String(idx:Int)
		Return IrrScene_ISceneNodeFactory_getCreateableSceneNodeTypeNameFromIndex(handle,idx)
	EndMethod
	
	Method getCreateableSceneNodeTypeNameFromType:String(ESCENE_NODE_TYPE:Int)
		Return IrrScene_ISceneNodeFactory_getCreateableSceneNodeTypeNameFromType(handle,ESCENE_NODE_TYPE)
	EndMethod

	Method drop:Int() Final
		If mustdelete Then mustdelete=False		
		Return IrrScene_ISceneNodeFactory_drop(handle)
	EndMethod
	
	Method getDebugName:String() Final
		Return IrrScene_ISceneNodeFactory_getDebugName(handle)
	EndMethod
	
	Method grab() Final
		IrrScene_ISceneNodeFactory_grab(handle)
	EndMethod

	Method Delete()
		If (mustdelete) Then drop()
	EndMethod
	' --------------------------------------------------------------------------------
	' creation routines
	' --------------------------------------------------------------------------------

	' this should only be called on an extended type
	Function create:ISceneNodeFactory(pGenFunc:Byte Ptr) Final
		'Return createFromHandle(IrrScene_BMXISceneNodeFactory_new(),True,pGenFunc)
		Return Null
	EndFunction

	Function createFromHandle:ISceneNodeFactory(pHandle:Int,bMustDel:Int,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:ISceneNodeFactory=Null
		
		If pGenFunc
			' use the funtion pointer to generate
			Local generate:ISceneNodeFactory()=pGenFunc
		
			oRetVal=generate()
		Else
			oRetVal=New ISceneNodeFactory
		EndIf

		' turn binding on if this is the first and there was a gen func passed in
		oRetVal.bIsBound=bMustDel And pGenFunc
		
		oRetVal.attach(pHandle,bMustDel)
		
		Return oRetVal
	EndFunction
	
	' --------------------------------------------------------------------------------
	' bindings
	' --------------------------------------------------------------------------------	

	Method bind(rec:Int) Final
		Super.bind(rec)
	EndMethod

EndType
