
Public

Extern
	'  ------------------------------------------------------------------------------------
	'  irr::core::array<u32> wrappers
	'  NOTES:
	'  did Not wrap the Const version of getLast()
	'  for regular data types use Var IrrCore_() to get the actual value
	'  ------------------------------------------------------------------------------------
	
	Function IrrCore_Array_u32_new:Int() ' returns array<u32>* 
	Function IrrCore_Array_u32_newWithSize:Int(start_count:Int) ' returns array<u32>* 
	Function IrrCore_Array_u32_newFromOther(parray_u32_other:Int) ' returns array<u32>* 
	Function IrrCore_Array_u32_del(parray_u32_arr:Int)
	Function IrrCore_Array_u32_allocated_size:Int(parray_u32_arr:Int)
	Function IrrCore_Array_u32_clear(parray_u32_arr:Int)
	Function IrrCore_Array_u32_empty:Int(parray_u32_arr:Int)
	Function IrrCore_Array_u32_eraseWithCount(parray_u32_arr:Int,idx:Int,count:Int)
	Function IrrCore_Array_u32_erase(parray_u32_arr:Int,idx:Int)
	'  do Not Delete this pointer
	Function IrrCore_Array_u32_getLast:Float Ptr(parray_u32_arr:Int) ' returns u32*
	'  do Not Delete this pointer
	Function IrrCore_Array_u32_elementAt:Float Ptr(parray_u32_arr:Int,idx:Int) ' returns u32*
	Function IrrCore_Array_u32_insert(parray_u32_arr:Int,element:Float Ptr,idx:Int=0)
	Function IrrCore_Array_u32_Eq(parray_u32_arr:Int,parray_u32_other:Int)
	Function IrrCore_Array_u32_push_back(parray_u32_arr:Int,element:Float Ptr)
	Function IrrCore_Array_u32_push_front(parray_u32_arr:Int,element:Float Ptr)
	Function IrrCore_Array_u32_reallocate(parray_u32_arr:Int,new_size:Int)
	Function IrrCore_Array_u32_set_free_when_destroyed(parray_u32_arr:Int,bNewVal:Int)
	Function IrrCore_Array_u32_set_sorted(parray_u32_arr:Int,bVal:Int)
	Function IrrCore_Array_u32_set_used(parray_u32_arr:Int,bVal:Int)
	Function IrrCore_Array_u32_size:Int(parray_u32_arr:Int)
	Function IrrCore_Array_u32_linear_reverse_search:Int(parray_u32_arr:Int,find:Float Ptr)
	Function IrrCore_Array_u32_linear_search:Int(parray_u32_arr:Int,find:Float Ptr)
	Function IrrCore_Array_u32_binary_search:Int(parray_u32_arr:Int,find:Float Ptr)
	Function IrrCore_Array_u32_binary_searchWithBounds:Int(parray_u32_arr:Int,find:Float Ptr,nLeft:Int,nRight:Int)
	Function IrrCore_Array_u32_sort(parray_u32_arr:Int)
	'Function IrrCore_Array_u32_const_pointer:Float Ptr(parray_u32_arr:Int)
	'Function IrrCore_Array_u32_pointer:Float Ptr(parray_u32_arr:Int)
	'Function IrrCore_Array_u32_set_pointer(parray_u32_arr:Int,newPointer:Float Ptr,size:Int)

EndExtern


