' ------------------------------------------------------------------------------------
' irr::core::line2d<f32> wrappers
' ------------------------------------------------------------------------------------

Public

Extern

	Function IrrCore_Line2df_new:Int()
	Function IrrCore_Line2df_newFromVals:Int(xa:Int=0,ya:Int=0,xb:Int=0,yb:Int=0)
	Function IrrCore_Line2df_newFromVects:Int(pStart:Int,pEnd:Int)
	Function IrrCore_Line2df_newFromLine:Int(pOther:Int)
	Function IrrCore_Line2df_del(pDel:Int)
	Function IrrCore_Line2df_setLineFromVals(pLine:Int,xa:Int,ya:Int,xb:Int,yb:Int)
	Function IrrCore_Line2df_setLineFromVects(pLine:Int,pStart:Int,pEnd:Int)
	Function IrrCore_Line2df_setLineFromLine(pLine:Int,pOther:Int)
	Function IrrCore_Line2df_getLength:Double(pLine:Int)
	Function IrrCore_Line2df_getVector:Int(pLine:Int)
	Function IrrCore_Line2df_getUnitVector:Int(pLine:Int)
	Function IrrCore_Line2df_getAngleWith:Double(pLine:Int,pLine2:Int)
	Function IrrCore_Line2df_intersectWith:Int(pLine:Int,pLine2:Int,pOut:Int)
	Function IrrCore_Line2df_getStart:Int(pLine:Int)
	Function IrrCore_Line2df_getEnd:Int(pLine:Int)
	Function IrrCore_Line2df_Plus:Int(pLine:Int,pPoint:Int)
	Function IrrCore_Line2df_Minus:Int(pLine:Int,pPoint:Int)
	Function IrrCore_Line2df_PlusEq(pLine:Int,pPoint:Int)
	Function IrrCore_Line2df_MinusEq(pLine:Int,pPoint:Int)
	Function IrrCore_Line2df_EqEq:Int(pLine:Int,pLine2:Int)
	Function IrrCore_Line2df_NotEq:Int(pLine:Int,pLine2:Int)
	Function IrrCore_Line2df_getLengthSQ:Float(pLine2df:Int)	
	' must delete
	Function IrrCore_Line2df_getMiddle:Int(pLine2df:Int) ' returns vector2df*
	Function IrrCore_Line2df_getPointOrientation:Float(pLine2df:Int,pVector2df:Int)
	Function IrrCore_Line2df_isPointOnLine:Int(pLine2df:Int,pVector2df:Int)
	Function IrrCore_Line2df_isPointBetweenStartAndEnd:Int(pLine2df:Int,pVector2df:Int)
	' must delete
	Function IrrCore_Line2df_getClosestPoint:Int(pLine2df:Int,pVector2df:Int) ' return vector2df*

EndExtern

