Public

' ------------------------------------------------------------------------------------
'  irr::gui::IGUIImage wrappers
'  do Not Delete a pointer To this
' ------------------------------------------------------------------------------------
Type IGUIImage Extends IGUIElement Final

	Function createFromHandle:IGUIImage(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IGUIImage=New IGUIImage
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction	
	
	Method setImage(image:ITexture)
		IrrGUI_IGUIImage_setImage(handle,image.handle)
	EndMethod
	
	Method setUseAlphaChannel(bUse:Int)
		IrrGUI_IGUIImage_setUseAlphaChannel(handle,bUse)
	EndMethod

	Method setColor(color:SColor)
		IrrGUI_IGUIImage_setColor(handle,color.handle)
	EndMethod
	
	Method setScaleImage(bScale:Int)
		IrrGUI_IGUIImage_setScaleImage(handle,bScale)
	EndMethod
	
	Method isImageScaled:Int()
		Return IrrGUI_IGUIImage_isImageScaled(handle)
	EndMethod
	
	Method isAlphaChannelUsed:Int()
		Return IrrGUI_IGUIImage_isAlphaChannelUsed(handle)
	EndMethod

EndType



