' ------------------------------------------------------------------------------------
' irr::scene::IMeshSceneNode wrappers (parent is ISceneNode)
' ------------------------------------------------------------------------------------
Public

Type IMeshSceneNode Extends ISceneNodeDefault Final

	Function createFromHandle:IMeshSceneNode(pHandle:Int,bMustDel:Int=False,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IMeshSceneNode=New IMeshSceneNode
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setMesh(mesh:IMesh)
		IrrScene_IMeshSceneNode_setMesh(handle,mesh.handle)
	EndMethod
	
	Method setReadOnlyMaterials(bReadOnly:Int)
		IrrScene_IMeshSceneNode_setReadOnlyMaterials(handle,bReadonly)
	EndMethod
	
	Method isReadOnlyMaterials:Int()
		Return IrrScene_IMeshSceneNode_isReadOnlyMaterials(handle)
	EndMethod

	Method getMesh:IMesh()
		Return IMesh.createFromHandle(IrrScene_IMeshSceneNode_getMesh(handle),False)
	EndMethod
	
EndType

