' ------------------------------------------------------------------------------------
' irr::scene::IParticleAttractionAffector wrappers
' ------------------------------------------------------------------------------------
Public

Type IParticleAttractionAffector Extends IParticleAffectorDefault

	Function createFromHandle:IParticleAttractionAffector(pHandle:Int,bMustDel:Int=True,pGenFunc:Byte Ptr=Null)
		If Not pHandle Then Return Null
		Local oRetVal:IParticleAttractionAffector=New IParticleAttractionAffector
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method setPoint(point:Vector3df)
		IrrScene_IParticleAttractionAffector_setPoint( handle, point.handle )
	EndMethod
	
	Method setAttract(bAttract:Int)
		IrrScene_IParticleAttractionAffector_setAttract( handle, bAttract )
	EndMethod
	
	Method setAffectX(bAffect:Int)
		IrrScene_IParticleAttractionAffector_setAffectX( handle, bAffect )
	EndMethod
	
	Method setAffectY(bAffect:Int)
		IrrScene_IParticleAttractionAffector_setAffectY( handle, bAffect )
	EndMethod
	
	Method setAffectZ(bAffect:Int)
		IrrScene_IParticleAttractionAffector_setAffectZ( handle, bAffect )
	EndMethod
	
	Method getPoint:Vector3df()
		Return Vector3df.createFromHandle(IrrScene_IParticleAttractionAffector_getPoint(handle), True)
	EndMethod
	
	Method getAttract:Int()
		Return IrrScene_IParticleAttractionAffector_getAttract(handle)
	EndMethod
	
	Method getAffectX:Int()
		Return IrrScene_IParticleAttractionAffector_getAffectX(handle)
	EndMethod
	
	Method getAffectY:Int()
		Return IrrScene_IParticleAttractionAffector_getAffectY(handle)
	EndMethod
	
	Method getAffectZ:Int()
		Return IrrScene_IParticleAttractionAffector_getAffectZ(handle)
	EndMethod
	
EndType
