' ------------------------------------------------------------------------------------
'  irr::scene::SSkinMeshBuffer wrappers
' ------------------------------------------------------------------------------------
Public

Type SSkinMeshBuffer Extends IMeshBuffer

	Function create:SSkinMeshBuffer()
		Return createFromHandle(IrrScene_SSkinMeshBuffer_new(),True)
	EndFunction

	Function createFromHandle:SSkinMeshBuffer(pHandle:Int,bMustDel:Int=False)
		If Not pHandle Then Return Null
		Local oRetVal:SSkinMeshBuffer=New SSkinMeshBuffer
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method MoveTo_2TCoords()
		IrrScene_SSkinMeshBuffer_MoveTo_2TCoords(handle)
	EndMethod
	
	Method MoveTo_Tangents()
		IrrScene_SSkinMeshBuffer_MoveTo_Tangents(handle)
	EndMethod
	
	Method boundingBoxNeedsRecalculated()
		IrrScene_SSkinMeshBuffer_boundingBoxNeedsRecalculated(handle)
	EndMethod

EndType


